Name:           python-nvcl-kit
Version:        1.2.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Downloads Australian National Virtual Core Library (NVCL) datasets

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitlab.com/csiro-geoanalytics/python-shared/nvcl_kit
Source:         %{pypi_source nvcl_kit}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'nvcl-kit' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-nvcl-kit
Summary:        %{summary}

%description -n python3-nvcl-kit %_description


%prep
%autosetup -p1 -n nvcl_kit-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-nvcl-kit -f %{pyproject_files}


%changelog
%autochangelog